IF NOT EXISTS(SELECT 1 FROM criterios_valores_col WHERE campo = 'emb_bancos')
BEGIN
    INSERT INTO criterios_valores_col (campo, item, descripcion) VALUES ('emb_bancos', 0, 'Pago en Cheque')
    INSERT INTO criterios_valores_col (campo, item, descripcion) VALUES ('emb_bancos', 1, 'Banco Agrario')
    if exists (select 1 from companias where compania = '10')
    begin
        INSERT INTO criterios_valores_col (campo, item, descripcion) VALUES ('emb_bancos', 2, 'Pago en Cheque Decadal')
        INSERT INTO criterios_valores_col (campo, item, descripcion) VALUES ('emb_bancos', 3, 'Banco Agrario Decadal')
    end
END

delete fdt_bancos where descripcion = 'Pago en Cheque'
delete fdt_bancos where descripcion = 'Banco Agrario'
delete fdt_bancos where descripcion = 'Pago en Cheque Decadal'
delete fdt_bancos where descripcion = 'Banco Agrario Decadal'


